RC Detailed API
Objective
The RC Detailed API verifies and retrieves detailed information about a vehicle's RC (Registration Certificate) using its unique RC number.
| Input | Output |
|---|---|
| The registration certificate number associated with the vehicle and the user's consent | The response contains the details of the,
|
API URL
https://ind-engine.thomas.hyperverge.co/v1/fetchDetailedRC
API Endpoint
fetchDetailedRC
Overview
The API is RESTful and uses standard HTTP verbs and status codes. The responses are in JSON format, and you should upload all images and files as form-data through a POST request.
Authentication
You need a unique pair of application ID (appId) and application key (appKey) from HyperVerge to verify your identity for accessing the API.
API Request Details
Method - POST
Headers
| Parameter | Mandatory or Optional | Description | Allowed Values |
|---|---|---|---|
| content-type | Mandatory | The media type for the request payload. | application/json |
| appId | Mandatory | The application identifier shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| appKey | Mandatory | The application key shared by HyperVerge. You can find the details in the dashboard's credentials tab. | This should be a unique value. |
| transactionId | Mandatory | A unique identifier for tracking a user journey. | This should be both unique and easily associated with the user's journey in your application(s). |
Inputs
| Parameter | Mandatory or Optional | Description |
|---|---|---|
| RC | Mandatory | Full 8-11 digit Vehicle Number. For example: "KA05LE7925" |
| consent | Mandatory | Consent to fetch data. For example : Y or N |
Sample Request
The following code shows a standard curl request for the API.
curl --location --request POST 'https://ind.thomas.hyperverge.co/v1/fetchDetailedRC' \
--header 'Content-Type: application/json' \
--header 'appId: <Enter_the_HyperVerge_appId>' \
--header 'appKey: <Enter_the_HyperVerge_appKey>' \
--header 'transactionId: <Enter_the_HyperVerge_transactionID>' \
--data '{
"RC": "<Enter_the_Registration_ID>",
"consent": "Y"
}'
Success Response Sample
The following is a sample of a success response from the API.
- Success Response
{
"status": "success",
"statusCode": "200",
"result": {
"transaction_id": "<Transaction_ID>",
"data": {
"code": "1000",
"message": "Extracted details.",
"rcData": {
"financed": false,
"documentType": "RC",
"permit_data": {
"permit_number": "<Permit_Number>",
"type": "<Permit_Type>",
"issue_date": "<Issue_Date>",
"expiry_date": "<Expiry_Date>"
},
"national_permit_data": {
"expiry_date": "<National_Permit_Expiry_Date>"
},
"ownerData": {
"serial": "<Owner_Serial>",
"name": "<Owner_Name>",
"fatherName": "<Owner_Father_Name>",
"presentAddress": "<Present_Address>",
"permanentAddress": "<Permanent_Address>"
},
"issueDate": "<RC_Issue_Date>",
"expiryDate": "<RC_Expiry_Date>",
"registeredAt": "<Registered_At>",
"puccData": {
"puccNuber": "<PUCC_Number>",
"expiryDate": "<PUCC_Expiry_Date>"
},
"insuranceData": {
"company": "<Insurance_Company>",
"policyNumber": "<Insurance_Policy_Number>",
"expiryDate": "<Insurance_Expiry_Date>"
},
"vehicleData": {
"category": "<Vehicle_Category>",
"color": "<Vehicle_Color>",
"manufacturedDate": "<Vehicle_Manufactured_Date>",
"categoryDescription": "<Vehicle_Category_Description>",
"chassisNumber": "<Vehicle_Chassis_Number>",
"engineNumber": "<Vehicle_Engine_Number>",
"makerDescription": "<Vehicle_Maker_Description>",
"makerModel": "<Vehicle_Maker_Model>",
"bodyType": "<Vehicle_Body_Type>",
"fuelType": "<Vehicle_Fuel_Type>",
"cubicCapacity": "<Vehicle_Cubic_Capacity>",
"grossWeight": "<Vehicle_Gross_Weight>",
"numberOfCylinders": "<Vehicle_Number_Of_Cylinders>",
"seatingCapacity": "<Vehicle_Seating_Capacity>",
"unladenWeight": "<Vehicle_Unladen_Weight>"
},
"normsType": "<Vehicle_Norms_Type>"
}
},
"timestamp": "<Timestamp>"
}
}
Error Response Sample
The following are some sample error responses from the API.
- Input Validation - Missing Consent
- Input Validation - Missing RC
- Missing or Invalid Credentials
- Too Many Requests
{
"status": "failure",
"statusCode": "400",
"error": "consent is required"
}
{
"status": "failure",
"statusCode": "400",
"error": "RC is required"
}
{
"statusCode": 401,
"status": "failure",
"error": "Missing/Invalid credentials",
"metaData": {
"requestId": "123456789",
"transactionId": "abcd"
}
}
{
"statusCode": 429,
"status": "failure",
"error": "Too many requests",
"metaData": {
"requestId": "123456789",
"transactionId": "abcd"
}
}
Failure and Error Response Details
A failure or error response from the module contains a
failure status, with a relavant status code and error message. The following table lists all error responses. | Status Code | Error Message | Error Description |
| 400 | RC is required | Please provide the RC number |
| 400 | consent is required | Please provide the consent |
| 401 | Missing/Invalid credentials | The request is either missing the mandatory appId and appKey combination or has invalid values. |
| 403 | Access Denied | Please contact the HyperVerge team for resolution. |
| 429 | Too many requests | You have exceeded the configured limit on the number of transactions permitted in a minute. Please contact the HyperVerge team for resolution. |
| 500 | Internal Server Error | Please check the request headers or contact the HyperVerge team for resolution. |